#playerSearchForm {
    border-bottom: 1px solid #1c35ae;
    background-color: #1e54d2;
}

#playerSearchForm .search-box {
    max-width: 1076px;
    margin: 0 auto;
    padding: 0.5rem;
    background-color: #1e54d2;
}

#playerSearchForm .search-icon {
    flex-shrink: 0;
    margin-right: 12px;
    fill: #b2d1ff;
}

#playerSearchInput {
    text-transform: uppercase;
}

#playerSearchInput::placeholder {
	color: #84a9ff;
    text-transform: none;
}

#recentPlayerLink {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    margin-left: 0.5rem;
    padding: 0 2rem 0 0.5rem;
    color: #fff;
    font-size: 14px;
    text-align: left;
    line-height: 15px;
    font-weight: 500;
    border: 1px solid #326ef7;
    background-color: #265fe3;
}

#recentPlayerLink span {
    font-size: 10px;
    line-height: 9px;
    color: #b2d1ff;
    font-weight: normal;
}

#recentPlayerLink .arrow {
    position: absolute;
    top: 6px;
    right: 0.5rem;
    width: 18px;
    stroke-width: 2px;
}

header {
	padding: 1.5rem 1rem 5rem;
    text-align: center;
	border-bottom: 6px solid #212734;
	background-image: url("/brawl-stars/res/img/home_bg.jpg");
	background-size: cover;
	background-position: center;
}

h1.bs-font {
    font-size: 2rem;
    line-height: 2.675rem;
    text-shadow: 0px 3px 0px #000;
}

h1 span {
    display: block;
    color: #ffda2e;
    font-size: 3rem;
}

header > p {
    margin-bottom: 2rem;
    font-size: 18px;
    font-weight: 500;
    color: #fff;
}

#headerLinks {
	display: flex;
	flex-flow: row wrap;
    align-items: center;
    justify-content: center;
}

#headerLinks a {
    width: 250px;
    margin: 0.5rem;
    color: #fff;
    font-size: 1.375rem;
    filter: drop-shadow(0 4px 0 rgb(0 0 0 / 35%));
    transition: 90ms cubic-bezier(0.25, 0.45, 0.25, 0.95);
}

#headerLinks a:hover {
    transform: scale(1.04);
}

#headerLinks a:first-of-type {
    margin-left: 4px;
}
#headerLinks a:last-of-type {
    margin-right: 4px;
}

#headerLinks a > div {
    padding: 2px;
    background-color: #000;
    clip-path: polygon(8px 0%, 100% 0%, calc(100% - 8px) 100%, 0% 100%);
}

.header-link-content {
    clip-path: polygon(8px 0%, 100% 0%, calc(100% - 8px) 100%, 0% 100%);
}

/*#headerLinks a::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    background-color: #000;
    clip-path: polygon(10px 0%, 100% 0%, calc(100% - 10px) 100%, 0% 100%);
}*/

.header-link-title {
    position: relative;
    display: flex;
    align-items: center;
    padding: 0.375rem 1rem;
    box-shadow: 0 3px 0 rgb(0 0 0 / 28%);
    background-color: var(--super-rare-color);
}

#headerLinks a:first-of-type .header-link-title {
    /*background-color: #39c96c;
    background-color: #0ea255;
    background-color: #099550;
    background-color: #32b173;*/
    background-color: #12ad5c;
}
#headerLinks a:last-of-type .header-link-title {
    /*background-color: #3d9ed4;
    background-color: #a23eac;
    background-color: #37a2dd;
    background-color: #13a1ef;*/
    bcakground-color: #3d5380;
}

.header-link-title img {
    margin-right: 0.5rem;
}

#headerLinks a > div img {
    display: block;
}


/* MAIN */
main {
    margin: 0 auto;
    padding: 0;
}

.ui-container {
    margin-top: 2.5rem;
    padding: 0.875rem;
}

.ui-container h2 {
    margin: -33px 0 0 -3px;
    font-size: 1.75rem;
    text-transform: uppercase;
}

#featuredBuildsSection {
    margin: -1.5rem 1rem 2.25rem;
}

#featuredBuildsSection h2 {
    color: #adffd4;
}

#featuredBuildsSection .builds-list {
    grid-template-columns: 1fr;
    margin-bottom: -35px;
}

#featuredBuildsSection .builds-list a:last-of-type {
    display: none;
}

#featuredBrawlersSection {
    margin: 4rem 0 0;
    padding: 1rem 1rem 2rem;
    background-color: #212734;
}

#featuredBrawlersSection h2 {
    color: #bfe1ff;
    margin: -33px 0 0 -3px;
    font-size: 1.75rem;
}

#featuredBuildsSection + a {
    margin: 0 1rem;
}

#featuredBrawlers {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr;
    margin: 0.5rem 0.875rem 1.25rem;
}

#featuredBrawlers a {
    position: relative;
    transition: 90ms cubic-bezier(0.25, 0.45, 0.25, 0.95);
}

#featuredBrawlers a:hover {
    box-shadow: 0 2px 0 #fff;
}

#featuredBrawlers a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: calc(100% - 4px);
    height: 50%;
    opacity: 0.85;
    border: 2px solid #000;
    background-color: #5b6482;
}

#featuredBrawlers a[data-rarity="common"]::before {
	background-color: var(--common-color);
}#featuredBrawlers a[data-rarity="rare"]::before {
	background-color: var(--rare-color);
}#featuredBrawlers a[data-rarity="super_rare"]::before {
	background-color: var(--super-rare-color);
}#featuredBrawlers a[data-rarity="epic"]::before {
	background-color: var(--epic-color);
}#featuredBrawlers a[data-rarity="mythic"]::before {
	background-color: var(--mythic-color);
}#featuredBrawlers a[data-rarity="legendary"]::before {
	background-color: var(--legendary-color);
}#featuredBrawlers a[data-rarity="ultra_legendary"]::before {
	background-color: var(--ultra-legendary-color);
    background: linear-gradient(30deg,var(--ultra-legendary-color) 15%, #6e0094 29.17%, #c31792 43.33%, #e2466f 57.50%, #ff9a2e 71.67%, #eddf24 85.83%, #92fe68 100%);
}


#featuredBrawlers a > div {
    position: relative;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    width: calc(100% - 4px);
    height: 120px;
    margin: 0 auto;
    padding-top: 12px;
    overflow: hidden;
}

#featuredBrawlers img {
    display: block;
    max-width: 150%;
    max-height: 150%;
    margin: 0 auto;
    filter: drop-shadow(0 2px 0 #000);
    transition: 90ms cubic-bezier(0.25, 0.45, 0.25, 0.95);
}

#featuredBrawlers a:hover img {
    transform: scale(1.075);
    transform-origin: bottom center;
}

#featuredBrawlers a > span {
    position: relative;
    display: block;
    width: 100%;
    height: 34px;
    line-height: 34px;
    padding: 0 0.375rem;
    font-weight: 700;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    color: var(--heading-color);
    background-color: #000;
}


/* LEADERBOARD */
#leaderboardEventColumns {
    display: grid;
    gap: 3rem;
    grid-template-columns: 1fr;
    margin: 2.5rem 1rem 0;
}

.arrow-heading-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#leaderboardEventColumns h2 {
    margin-bottom: 0.75rem;
}

#leaderboardSection h2 {
    color: #FFE49F;
}

#leaderboard {
    border: var(--ui-border);
    box-shadow: var(--ui-shadow);
    background-color: var(--ui-bg-color);
}

#leaderboard div {
    display: flex;
    align-items: center;
    padding: 0.5rem 0.5rem 0.5rem 0.25rem;
    color: var(--ui-font-color);
}

#leaderboard div + div {
    border-top: 1px solid var(--bg-color);
}

/*#leaderboard div:nth-child(1), #leaderboard div:nth-child(2), #leaderboard div:nth-child(3) {
    padding-left: 0;
}*/

.rank {
    width: 28px;
    height: 28px;
    line-height: 28px;
    font-size: 14px;
    text-align: center;
    color: #636a7f;
    font-family: "Lilita One", "Open Sans", sans-serif;
}

/*#leaderboard div:nth-child(1) .rank, #leaderboard div:nth-child(2) .rank, #leaderboard div:nth-child(3) .rank {
    width: 36px;
    color: #fff;
    text-shadow: 0 2px 2px rgb(0 0 0 / 85%);
    transform: translateX(-3px);
}

#leaderboard div:nth-child(1) .rank {
    background-color: #fbbd1a;
    clip-path: polygon(0% 0%, 100% 0%, calc(100% - 4px) 100%, 0% 100%);
}
#leaderboard div:nth-child(2) .rank {
    background-color: #9EB1B4;
    clip-path: polygon(0% 0%, 100% 0%, calc(100% - 4px) 100%, 0% 100%);
}
#leaderboard div:nth-child(3) .rank {
    background-color: #B3642F;
    clip-path: polygon(0% 0%, 100% 0%, calc(100% - 4px) 100%, 0% 100%);
}*/

#leaderboard a {
    display: flex;
    flex-direction: column;
    margin-left: 0.25rem;
}

.player-name {
    font-size: 14px;
    font-weight: 600;
}

.club-name {
    font-size: 11px;
    font-weight: 500;
    color: #a6acbd;
}

.trophies {
    display: flex;
    align-items: center;
    margin-left: auto;
    font-size: 13px;
    font-weight: 600;
    color: #fbbd1a;
}

.trophies img {
    width: 16px;
    height: auto;
    margin-right: 3px;
}

@media (min-width: 350px) {
    #leaderboard div {
        padding: 0.5rem;
    }

    .rank {
        font-size: 16px;
    }

    #leaderboard a {
        margin-left: 0.5rem;
    }

    .player-name {
        font-size: 16px;
    }

    .club-name {
        font-size: 13px;
    }

    .trophies {
        font-size: 15px;
    }

    .trophies img {
        width: 20px;
        margin-right: 0.25rem;
    }
}


/* EVENTS */
#eventSection h2 {
    color: #FFBABA;
}

#events {
    display: grid;
    gap: 0.75rem;
    grid-template-columns: 1fr 1fr;
}

#events > div {
    border: var(--ui-border);
    box-shadow: var(--ui-shadow);
    background-color: var(--ui-bg-color);
}

.battle-time {
    padding-right: 0.5rem;
    font-size: 0.75rem;
    font-weight: 500;
    text-align: right;
    color: #a6acbd;
    white-space: nowrap;
    background-color: #383e52;
}

.battle-mode-container {
    display: grid;
    gap: 0.5rem;
    grid-template-columns: auto 1fr;
    grid-template-rows: auto;
}

.battle-mode-container img {
    height: auto;
    padding: 0.5rem 0 0.5rem 0.5rem;
}

.battle-mode-container > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.battle-mode-container span {
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.battle-mode {
    color: #fff;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1rem;
}

.battle-map {
    color: #a6acbd;
    font-size: 13px;
    font-weight: 500;
}


/* BRAWLER BUILDS */
#brawlerBuildsSection {
    margin: 2.25rem 0 2rem;
    padding: 0 1rem;
}

#brawlerBuildsSection h2 {
    color: #ced7ed;
    margin-bottom: 0.75rem;
}

#brawlerBuildsList {
    display: grid;
	gap: 0.375rem;
	grid-template-columns: repeat(auto-fill, minmax(36px, 1fr));
}

#brawlerBuildsList a {
    width: 36px;
    height: 36px;
    overflow: hidden;
    border: 3px solid #000;
    background-color: var(--global-nav-color);
}

#brawlerBuildsList a:hover {
    outline: 1px solid #fff;
}

/* NEWS */
#newsSection {
    margin: 2rem 1rem;
}

.articles {
	display: grid;
	grid-gap: 2.5rem 2rem;
	grid-template-columns: 1fr;
	margin: 1rem 0 1.5rem 0;
}

.articles a {
	width: 100%;
	height: fit-content;
	color: var(--font-color);
}

.thumbnail {
	position: relative;
	width: 100%;
	height: 0;
	margin-bottom: 0.75rem;
	padding-bottom: 56.25%;
	overflow: hidden;
	background: linear-gradient(153deg, rgba(33,62,187,1) 0%, rgb(39 42 149) 50%, rgba(18,17,112,1) 100%);
}

.thumbnail img {
	width: 100%;
	height: auto;
	transition: transform 0.2s ease-out;
}

.articles a:hover img {
	transform: scale(1.1);
}

.category {
	position: relative;
	z-index: 1;
	margin-right: 1rem;
	padding: 0.125rem 0.5rem;
	font-size: 0.875rem;
	font-weight: 700;
	color: var(--heading-color);
	background-color: var(--nav-color);
}

.category::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;
	width: calc(100% + 1.25rem);
	height: 100%;
	background: -webkit-linear-gradient(287deg, transparent 25%, var(--nav-color) 0);
	background: -o-linear-gradient(287deg, transparent 25%, var(--nav-color) 0);
	background: linear-gradient(287deg, transparent 25%, var(--nav-color) 0);
}
.article-date {
	font-size: 0.875rem;
}

.articles h3 {
	margin: 1rem 0;
	color: var(--heading-color);
}

.articles a:hover h3 {
	text-decoration: underline;
	text-decoration-color: var(--yellow-font-color);
}

.t-details svg {
	fill: var(--font-color);
}


/* BREAKPOINTS */
@media (min-width: 600px) {
    .articles {
		grid-template-columns: repeat(2, 1fr);
	}

    #featuredBuildsSection .builds-list {
        grid-template-columns: 1fr 1fr;
    }

    #featuredBrawlers {
        grid-template-columns: repeat(4, 1fr);
    }
}
@media (min-width: 900px) {
    #featuredBuildsSection .builds-list {
        grid-template-columns: 1fr 1fr 1fr;
    }

    #featuredBuildsSection .builds-list a:last-of-type {
        display: flex;
    }

    #leaderboardEventColumns {
        grid-template-columns: 1fr 1fr;
    }

    #events {
        gap: 1.25rem 1rem;
    }
}
@media (min-width: 1080px) {
    #recentPlayerLink {
        margin-right: 6px;
    }

    #featuredBrawlersSection {
        margin-left: 1rem;
        margin-right: 1rem;
        padding-left: 0.875rem;
        padding-right: 0.875rem;
    }

    #featuredBrawlers {
        margin-left: 0;
        margin-right: 0; 
    }
}